## Amtk Initialization and Finalization

Amtk Initialization and Finalization

## Functions

void | amtk_init ()
void | amtk_finalize ()

## Includes

    #include <amtk/amtk.h>

## Description

## Functions

### amtk_init ()

    void
    amtk_init (void);

Initializes the Amtk library (e.g. for the internationalization).

This function can be called several times, but is meant to be called at the beginning of `main()`, before any other Amtk function call.

Since: 3.0

### amtk_finalize ()

    void
    amtk_finalize (void);

Free the resources allocated by Amtk. For example it unrefs the singleton objects.

It is not mandatory to call this function, it's just to be friendlier to memory debugging tools. This function is meant to be called at the end of `main()`. It can be called several times.

Since: 3.0